Skip to navigation

Provides a list of benefits which are for the given date range.

This endpoint returns a list of benefits.

Authentication

X-AMEX-API-KEYstring
Application API key issued during app registration.
OR
Authorizationstring

HMAC (one-way TLS). A MAC authorization header signed with your client secret. See https://developer.americanexpress.com/documentation/api-security/hmac

OR
Authorizationstring

HMAC over mutual TLS. Requires a client certificate in addition to the signed MAC authorization header.

OR
AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Headers

AuthorizationstringRequired

The Authorization header for the authentication at APIGEE. The following should be in the format of this header:

  • MAC id: The Partner's Client ID. The Client ID is generated during the Partner Onboarding and the App Registration.
  • ts: A client-generated timestamp (Unix Epoch format in milli-seconds).
  • nonce: A unique identifier string. The value of nonce must be unique for the each request.
  • mac: The request mac is generated using the HMAC SHA256 algorithm. Use the Client Secret to generate a hash/signature. The Client ID and Client Secret is generated during the Partner Onboarding and App registration.

e.g., MAC id="adc3af10-7bf6-4d8a-87ea-35519ff6e1ad",ts="1466548572491",nonce="be3bd46c-b052-4ae8-9f61-993635e5bc98",bodyhash="cRPVGQWU+89HNR0ASAJFjhKqDF9X0pApGYuC/NVQNEU=",mac="NqbqNO3vSBwk6EE7pBi11DzvgLCh50IPAICCIWgjxYA="

correlation_idstringRequired

A unique identifier used to track the request. This is with the current debugging standard in mind to track the request end-to-end. This will be mainly passed by the originating server (if it's a Webapp) or empty in case of the direct browser/app calls.

e.g., GUID.

senderstringRequired

The sender contains the sender information.

e.g., Issuer or Service Provider.

keynamestringRequired

The value assigned to the key used to encrypt the payload. For HIPED operations, this value must start with 'MK'.

e.g., AA3434342323.

Query parameters

start_datedatetimeOptional

The start date, in RFC3339 format, for the date range being requested.

e.g., 2021-06-10T19:25:30.000Z.

end_datedatetimeOptional

The end date, in RFC3339 format, for the date range being requested.

e.g., 2021-06-10T19:25:30.000Z.

SUBSCRIBEDstringOptional

The subscription status.

  • YES: This will list what Customer is subscribed to (pending/active).
  • NO: This will list what Customer is eligible to subscribe in (inactive).

If it is blank, it will return a list of all benefits subscribed and unsubscribed.

e.g., SUBSCRIBED=YES.

statuslist of stringsOptional

The status of the benefit.

Accepted values are,

  • ACTIVE
  • CANCELLED
  • INACTIVE

e.g., status=ACTIVE&status=CANCELLED.

filterenumOptional

The filter parameters to narrow the results.

Accepted values are,

  • SUBSCRIBABLE: Returns only the manually subscribable benefits which are eligible as well as subscribed.

e.g., filter=SUBSCRIBABLE.

Allowed values:

Request

This endpoint expects an object.
network_infoobjectRequired

An object containing the GNS-related information.

instrument_idstringRequired

A unique ID for an instrument that is internal to the Issuer.

e.g., GUID.

product_infoobjectOptional

The reference to a marketable product.

e.g., Platinum Card.

Response

This response provides a list of benefits based on request parameters.
idstringOptional

A unique ID that is associated with the benefit. This field is only mandatory if the Issuer chooses not to use external_benefit_id.

e.g., mock_benefit_id_001.

external_benefitobjectOptional

The reference to a benefit set up in an external system. If Issuer chooses to use benefit_id from R42 then this field is not required.

e.g., A benefit from a GNS Issuer, such as the Express Company (EC).

namestringOptional

The name of the benefit ID.

e.g., mock_benefit_name.

start_datedatetimeOptional

The start date for the benefit in RFC3339 format.

e.g., 2021-06-10T19:25:30Z.

end_datedatetimeOptional

The end date for the benefit in RFC3339 format.

e.g., 2021-06-10T19:25:30Z.

instrument_idstringOptional

A unique ID for an instrument that is internal to the Issuer.

e.g., GUID.

statusenumOptional

The status of the benefit.

  • ACTIVE
  • INACTIVE

e.g., ACTIVE.

Allowed values:
characteristicsobjectOptional
An object containing the flags and the metadata associated with a benefit.
subscriptionslist of objectsOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error